package com.fs.hospital.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hospital.domain.HospitalPayment;

/**
 * 支付明细Service接口
 *
 * @author fs
 * @date 2024-03-26
 */
public interface IHospitalPaymentService
{
    /**
     * 查询支付明细
     *
     * @param paymentId 支付明细主键
     * @return 支付明细
     */
    public HospitalPayment selectHospitalPaymentByPaymentId(Long paymentId);

    /**
     * 查询支付明细列表
     *
     * @param hospitalPayment 支付明细
     * @return 支付明细集合
     */
    public List<HospitalPayment> selectHospitalPaymentList(HospitalPayment hospitalPayment);

    /**
     * 新增支付明细
     *
     * @param hospitalPayment 支付明细
     * @return 结果
     */
    public R insertHospitalPayment(HospitalPayment hospitalPayment);

    /**
     * 修改支付明细
     *
     * @param hospitalPayment 支付明细
     * @return 结果
     */
    public int updateHospitalPayment(HospitalPayment hospitalPayment);

    /**
     * 批量删除支付明细
     *
     * @param paymentIds 需要删除的支付明细主键集合
     * @return 结果
     */
    public int deleteHospitalPaymentByPaymentIds(Long[] paymentIds);

    /**
     * 删除支付明细信息
     *
     * @param paymentId 支付明细主键
     * @return 结果
     */
    public int deleteHospitalPaymentByPaymentId(Long paymentId);

    R finishPayment(HospitalPayment hospitalPayment);

    HospitalPayment selectHospitalPayment(Long orderId,Integer type);
}
